Back to YouTube
TikHub·YouTube

YouTube Web: Search video

/api/v1/youtube/web/search_videosync$0.003 / call

Search video via TikHub's YouTube Web endpoint. (TikHub · YouTube Web)

Input
  • search_querystringrequired

    Search keyword

  • language_codestring

    Language code (default "en")

  • order_bystring

    Order by (default "this_month")

  • country_codestring

    Country code (default "us")

  • continuation_tokenstring

    Pagination token

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web/search_video","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.